#include "TgeometryComponent.h"

TgeometryComponent::~TgeometryComponent()
{
}

TgeometryComponent::TgeometryComponent(
	TgraphicsObject *geom, 
	const D3DXVECTOR3 &ref) :
		fGeometryComponent(geom),
		fRefPosition(ref)
{
}


void 
TgeometryComponent::SetObjectD3DTransformation(
	ID3DXMatrixStack *stack) const 
{
	stack->TranslateLocal(fRefPosition.x, fRefPosition.y, 0.0f);
		fXformInfo.SetUpD3DXformStack(stack);
	stack->TranslateLocal(-fRefPosition.x, -fRefPosition.y, 0.0f);
}
	
void 
TgeometryComponent::DrawObjectGeom(
	Td3dDrawable &drawable,
	LPDIRECT3DDEVICE9
)
{
	fGeometryComponent->DrawObject(drawable);
}