#pragma once

#include "Trectangle.h"
#include "TmyVertex.h"

//
// only difference from Trectangle is: we are defined from 0 to 1 
// instead of the -1 to 1
// 
//
class TnormRectangle : public Trectangle {
	private:
		static TmyVertex	sfRectangleVertices[4];

	protected:
			//
			// Override from TgraphicsObject
			//
		virtual void DrawObjectGeom(Td3dDrawable&, LPDIRECT3DDEVICE9);

	public:
		static void sInitializeNormRectangle(Td3dDrawable*);

		
		// from TgraphicsObject ...
		// different behavior from Trectangle ...
		virtual	bool IntersectsBound(const T2dBound &);


		virtual ~TnormRectangle();
		TnormRectangle();
};
